%define anolis_release 18
Name:           perl-Devel-PartialDump
Version:        0.20
Release:        %{anolis_release}%{?dist}
Summary:        Partial dumping of data structures, optimized for argument printing
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Devel-PartialDump
Source0:        https://cpan.metacpan.org/modules/by-module/Devel/Devel-PartialDump-%{version}.tar.gz
BuildArch:      noarch
# Module Build
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:  perl(Carp)
BuildRequires:  perl(Class::Tiny)
BuildRequires:  perl(namespace::clean) >= 0.19
BuildRequires:  perl(overload)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(strict)
BuildRequires:  perl(Sub::Exporter)
BuildRequires:  perl(warnings)
# Test Suite
BuildRequires:  perl(CPAN::Meta)
BuildRequires:  perl(CPAN::Meta::Requirements)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(if)
BuildRequires:  perl(ok)
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(Test::Warnings) >= 0.009
# Runtime
Requires:       perl(overload)

# Filter bogus provide of perl(DB)
%global __provides_exclude perl\\(DB\\)

%description
This module is a data dumper optimized for logging of arbitrary parameters.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n Devel-PartialDump-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENCE
%{perl_vendorlib}/Devel/
%{_mandir}/man3/Devel::PartialDump.3*

%files doc
%doc Changes CONTRIBUTING README

%changelog
* Fri Feb 10 2023 Funda Wang <fundawang@yeah.net> - 0.20-18
- Import package for anolis 23
